//---------------------------------------------------------------------------

#ifndef formeditorH
#define formeditorH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TFormEditorForm : public TForm
{
__published:	// IDE-managed Components
        TPageControl *PageControl;
        TTabSheet *tsComponents;
        TTabSheet *tsGeneral;
        TTreeView *tvComponents;
        TEdit *eName;
        TButton *bFind;
        TEdit *eX;
        TUpDown *udX;
        TEdit *eY;
        TUpDown *udY;
        TEdit *eW;
        TUpDown *udW;
        TEdit *eH;
        TUpDown *udH;
        TButton *bCrerate;
        TButton *bRefresh;
        TLabel *tsFileName;
        TEdit *eFileName;
        TLabel *tsModified;
        TEdit *eModified;
        TButton *bMarkModified;
        TButton *bGetModule;
        TButton *bShow;
        TButton *bAddNotifier;
        TButton *bGet;
        TEdit *eType;
        TButton *bCancel;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall bMarkModifiedClick(TObject *Sender);
        void __fastcall bGetModuleClick(TObject *Sender);
        void __fastcall bShowClick(TObject *Sender);
        void __fastcall bRefreshClick(TObject *Sender);
        void __fastcall tvComponentsDblClick(TObject *Sender);
        void __fastcall bGetClick(TObject *Sender);
        void __fastcall bFindClick(TObject *Sender);
        void __fastcall bCrerateClick(TObject *Sender);
        void __fastcall bAddNotifierClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TFormEditorForm(TComponent* Owner);
        _di_IOTAFormEditor fe;
        void __fastcall RefreshAdd(_di_IOTAComponent c,TTreeNode *node);
        void __fastcall SelectComponent(_di_IOTAComponent c);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormEditorForm *FormEditorForm;
//---------------------------------------------------------------------------
#endif
