#include "otabrowse5.h"
#pragma hdrstop

#include "packageservices.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TPackageServicesForm *PackageServicesForm;
//---------------------------------------------------------------------------
__fastcall TPackageServicesForm::TPackageServicesForm(TComponent* Owner)
        : TForm(Owner), ps(NULL)
{
}
void __fastcall TPackageServicesForm::FormShow(TObject *Sender)
{ bRefresh->Click();
}
//---------------------------------------------------------------------------

void __fastcall TPackageServicesForm::bRefreshClick(TObject *Sender)
{ lbPackages->Items->Clear();
  lbComponents->Items->Clear();
  lbPackages->Items->BeginUpdate();
  for (int i=0; i<ps->PackageCount; i++)
  { AnsiString s=ps->PackageNames[i];
    if (ps->ComponentCount[i]>0) s=s+" - "+AnsiString(ps->ComponentCount[i]);
    lbPackages->Items->Add(s);
  }
  lbPackages->Items->EndUpdate();
  if (ps->PackageCount>0) lbPackages->ItemIndex=0;
}
//---------------------------------------------------------------------------

void __fastcall TPackageServicesForm::lbPackagesClick(TObject *Sender)
{ int p=lbPackages->ItemIndex;
  lbComponents->Items->BeginUpdate();
  lbComponents->Items->Clear();
  if (p!=-1)
  { int num=ps->ComponentCount[p];
    for (int i=0; i<num; i++)
    { AnsiString s=ps->ComponentNames[p][i];
      lbComponents->Items->Add(s);
    }
  }
  lbComponents->Items->EndUpdate();
}
//---------------------------------------------------------------------------

void __fastcall TPackageServicesForm::lbPackagesDblClick(TObject *Sender)
{ lbPackagesClick(Sender);
}
//---------------------------------------------------------------------------

